# xarray.Dataset.reset_coords

`Dataset.``reset_coords`(names=None, drop=False, inplace=False)

  Given names of coordinates, reset them to become variables

  Parameters:

  names : str or list of str, optional

  > Name(s) of non-index coordinates in this dataset to reset into variables. By default, all non-index coordinates are reset.

  drop : bool, optional

  > If True, remove coordinates instead of converting them into variables.

  inplace : bool, optional

  > If True, modify this dataset inplace. Otherwise, create a new object.

  Returns: | Dataset